{% extends "base.html" %}
{% set active_page = "index" %}

{% block content %}
<p class="lead mt-5">
  Středisko UNIXových technologií, známější pod zkratkou SUT SH, je projekt klubu <a href="https://siliconhill.cz">Silicon Hill</a>. Cílem projektu je seznamovat lidi se svobodnými operačními systémy a programy. Jde zejména o <code>GNU/Linux</code> a vše kolem něj.
</p>

<a class="twitter-timeline" data-height="400" data-dnt="true" href="https://twitter.com/SUT_SH?ref_src=twsrc%5Etfw">Tweets by SUT_SH</a> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script> 

{% for season in seasons %}
{% set outer_loop = loop %}
<h2 class="mt-5 mb-3">
  Program seminářů {{ season.year }}
  {% if season.poster %}
    <a href="posters/{{ season.poster }}"><i class="fas fa-file-pdf"></i></a>
  {% endif %}
  {% if season.poster_png %}
    <a href="posters/{{ season.poster_png }}"><i class="fas fa-file-image"></i></a>
  {% endif %}
</h2>

<!-- Collapse cards -->
<div class="accordion mb-3" id="accordion{{ outer_loop.index }}">

  {% for lecture in season.lectures %}
  <div class="card">
    <div class="card-header {% if lecture.status == "canceled" %} bg-danger {% endif %}">
      <div class="row">

        <!-- Title -->
        <div class="col-sm-8">
          <button class="btn btn-link {% if lecture.status == "canceled" %} text-white del{% endif %}" type="button" data-toggle="collapse" data-target="#collapse{{ outer_loop.index }}-{{ loop.index }}" aria-expanded="true" aria-controls="collapse{{ outer_loop.index }}-{{ loop.index }}">
            <i class="fas fa-caret-down"></i> {{ lecture.title }}
          </button>
        </div>


        <!-- Date and Time -->
        {% if lecture.status == "canceled" %} 
        <div class="col-sm-4 text-right">
          <code class="text h6 text-white">Zrušeno</code>
        </div>
        {% elif lecture.time %}
        <div class="col-sm-2 text-right">
          <code class="text h5">{{ lecture.time }} </code>
        </div>
        <div class="col-sm-2 text-right">
          <code class="text h6">{{ lecture.date }}</code>
        </div>
        {% else %}
        <div class="col-sm-4 text-right">
          <code class="text h6">{{ lecture.date }}</code>
        </div>
        {% endif %}
      </div>

      <div class="row">
          <!-- Badges -->
        <div class="col-sm-6 pl-5">
          {% for badge in lecture.badge %}
          <span class="badge badge-{{ badge.color }}">{{ badge.title }}</span>
          {% endfor %}
        </div>

        <!-- Authors -->
        <div class="col-sm-6 text-right">
          {% for author in lecture.authors %}
          {% if author.mail %}
          <a href="mailto:{{ author.mail }}">
            {{ author.name }}
          </a>
          {% else %}
          {{ author.name }}
          {% endif %}
          {% endfor %}
        </div>
      </div>
      </div>

      <div id="collapse{{ outer_loop.index }}-{{ loop.index }}" class="collapse" aria-labelledby="heading{{ outer_loop.index }}-{{ loop.index }}" data-parent="#accordion{{ outer_loop.index }}">
        <div class="card-body">
          <p class="card-text text-justify">{{ lecture.abstract|safe }}</p>
          {% if lecture.video %}
          <a href="{{ lecture.video }}" class="card-link"><i class="fab fa-youtube"></i> Video</a>
          {% endif %}
          {% if lecture.repository %}
          <a href="{{ lecture.repository }}" class="card-link"><i class="fab fa-git-alt"></i> Repository</a>
          {% endif %}
          {% if lecture.slides %}
          <a href="slides/{{ lecture.slides }}" class="card-link"><i class="fas fa-file-pdf"></i> Slides</a>
          {% endif %}
          {% if lecture.link %}
          <a href="{{ lecture.link }}" class="card-link"><i class="fas fa-link"></i> Link</a>
          {% endif %}
        </div>
      </div>
    </div>
    {% endfor %}
  </div>
  {% endfor %}
  {% endblock %}
